PHPBB 1.x/2.0.x Knowledge Base Module KB.PHP SQL Injection Vulnerability

2005-04-13T00:00:00
ID EDB-ID:25451
Type exploitdb
Reporter deluxe@security-project.org
Modified 2005-04-13T00:00:00

Description

PHPBB 1.x/2.0.x Knowledge Base Module KB.PHP SQL Injection Vulnerability. CVE-2005-1196. Webapps exploit for php platform

                                        
                                            source: http://www.securityfocus.com/bid/13219/info

Knowledge Base Module is affected by an SQL injection vulnerability. This issue is due to a failure in the application to properly sanitize user-supplied input before using it in an SQL query.

Successful exploitation could result in a compromise of the application, disclosure or modification of data, or may permit an attacker to exploit vulnerabilities in the underlying database implementation. 

http://www.example.com/kb.php?mode=cat&cat=0+UNION+SELECT+0,0,0,0,0,0+FROM+phpbb_users+WHERE+1=0